Page MenuHomePhabricator

DOMDataUtils::addAttributes should move to DOMUtils
Closed, ResolvedPublic

Description

It doesn't have anything to do with data attributes.

The version in Ext\DOMDataUtils should move to Ext\DOMUtils, too

Event Timeline

cscott created this task.Apr 22 2020, 3:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2020, 3:40 AM
ssastry triaged this task as Medium priority.Apr 27 2020, 10:12 PM
ssastry moved this task from Needs Triage to Tech Debt / Big changes on the Parsoid board.
Arlolra claimed this task.Apr 27 2020, 10:31 PM

Change 592783 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Move DOMDataUtils::addAttributes to DOMUtils

https://gerrit.wikimedia.org/r/592783

Change 592783 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Move DOMDataUtils::addAttributes to DOMUtils

https://gerrit.wikimedia.org/r/592783

Arlolra closed this task as Resolved.Apr 28 2020, 3:09 PM

Change 594256 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/vendor@master] Bump Parsoid to 0.12.0-a12

https://gerrit.wikimedia.org/r/594256

Change 594256 merged by jenkins-bot:
[mediawiki/vendor@master] Bump Parsoid to 0.12.0-a12

https://gerrit.wikimedia.org/r/594256